# class Puppet::Parser::Scope::Ephemeral

thin wrapper around an ephemeral symbol table. when a symbol

### Public Class Methods

new(parent=nil) click to toggle source

    # File lib/puppet/parser/scope.rb, line 45
    def initialize(parent=nil)
      @symbols = {}
      @parent = parent
    end

### Public Instance Methods

[](name) click to toggle source

    # File lib/puppet/parser/scope.rb, line 52
    def [](name)
      if @symbols.include?(name) or @parent.nil?
        @symbols[name]
      else
        @parent[name]
      end
    end